# -*- encoding: utf-8 -*-
##############################################################################
#
#    Addition to OpenERP, Open Source Management Solution   
#    Copyright (C) 2012 Vertel. All Rights Reserved
#    $Id$
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################


import netsvc
import pooler
from osv import fields, osv, orm
from tools.translate import _
import inspect




class account_invoice(osv.osv):
    _name = "account.invoice" 
    _inherit = "account.invoice"
            
    def _get_client_order_ref(self, cr, uid, ids, field_name, arg, context):
        res = {}
        for invoice in self.browse(cr,uid,ids):
            if invoice.sale_order_ids:
                res[invoice.id] = invoice.sale_order_ids[0].client_order_ref
            else:
                res[invoice.id] = False
        return res
    
    _columns = {
        'client_order_ref': fields.function(
            _get_client_order_ref,
            type='char',
            method=True,
            string='Order ref',
            select=True,
            ),
    }

account_invoice()

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
